<?php
/*
 * @ LamiAds Postback
 * @ PHP 7.4
 * @ Developer by Jendy Pham
 * @ Release: 11/14/2022
 */

function lamiads_config()
{
    return ["name" => "LamiAds Offerwall", "author" => ["name" => "Jendy Pham", "url" => "https://www.lamiads.com"], "version" => "1.0"];
}
function lamiads_install()
{
    if (SCRIPT_VERSION < 6) {
        return ["status" => "error", "description" => "Your script version is not compatible."];
    }
    $db = Evolution\Components\Database::connect();
    $dbforge = new Evolution\Components\DBLibrary\Driver\Forge();
    $dbforge->drop_table("lamiads_settings", true);
    $dbforge->add_field(["field" => ["type" => "varchar", "constraint" => 200, "unique" => true], "value" => ["type" => "varchar", "constraint" => 200, "null" => true]]);
	$attributes = array("ENGINE" => "InnoDB");
	$dbforge->create_table("lamiads_settings", FALSE, $attributes);
    $db->insert_batch("lamiads_settings", [["field" => "active", "value" => "no"], ["field" => "api_key", "value" => ""], ["field" => "secret_key", "value" => ""], ["field" => "credit_type", "value" => "cash"], ["field" => "currency", "value" => "VirtualCent"]]);
    $dbforge->add_column("membership", ["lamiads_ratio" => ["type" => "double", "default" => 0], "lamiads_points" => ["type" => "decimal", "constraint" => "11,2", "default" => 0], "lamiads_ref" => ["type" => "double", "default" => 0]]);
    return ["status" => "success"];
}
function lamiads_uninstall()
{
    $db = Evolution\Components\Database::connect();
    $dbforge = new Evolution\Components\DBLibrary\Driver\Forge();
    $dbforge->drop_table("lamiads_settings", true);
    $dbforge->drop_column("membership", "lamiads_ratio");
    $dbforge->drop_column("membership", "lamiads_points");
    $dbforge->drop_column("membership", "lamiads_ref");
    return ["status" => "success"];
}
function lamiads_upgrade($installed_version)
{
    return ["status" => "success"];
}

?>