<?php
/*
 * @ LamiAds Postback
 * @ PHP 7.4
 * @ Developer by Jendy Pham
 * @ Release: 11/14/2022
 */

namespace Evolution\Models;

class Lamiads extends Model implements Offerwall
{
    private $vars = NULL;
    public function is_enable()
    {
        $addons = new Addons();
        if (!$addons->is_installed("lamiads")) {
            return false;
        }
        if ($this->get("active") != "yes") {
            return false;
        }
        return true;
    }
    private function configuration()
    {
        $q = $this->db->get("lamiads_settings");
        foreach ($q->result() as $item) {
            $this->vars[$item->field] = $item->value;
        }
    }
    public function get($var = "")
    {
        if (!is_array($this->vars)) {
            $this->configuration();
        }
        return isset($this->vars[$var]) ? $this->vars[$var] : NULL;
    }
    public function save($field, $value = "")
    {
        if (!is_array($field)) {
            $field = [$field => $value];
        }
        foreach ($field as $k => $v) {
            $this->db->set("value", $v)->where("field", $k)->update("lamiads_settings");
        }
    }
    public function userRatio()
    {
        $user = \Evolution\Components\Services::user();
        return $user->membership("lamiads_ratio");
    }
    public function getCode()
    {
        $user = \Evolution\Components\Services::user();
        $html = "<iframe width=\"100%\" style=\"border: 0px;\" height=\"750\" src=\"";
        $html .= "https://lamiads.com/offerwall/" . $this->get("api_key") . "/";
        $html .= $user->get("id");
        $html .= "\"></iframe>";
        return $html;
    }
    public function offerConfigData()
    {
        return ["id" => "lamiads", "name" => "LamiAds", "field" => "lamiads"];
    }
    public function postback()
    {
        $offerData = $this->offerConfigData();
        $offerName = $offerData["name"];
        $offerwallID = $offerData["id"];
        $fieldName = $offerData["field"];
        $postback_return = "1";
        $input = \Evolution\Components\Services::input();
        $user_id = $input->post_get("subId");
        $transaction_id = $input->post_get("transId");
        $virtual_coins = $input->post_get("reward");
        $site_reward = $input->post_get("fiat_payout");
        $status = "1";
        $server_signature = $input->post_get("signature");
        $custom_1 = $input->post_get("payout");
        $custom_2 = $input->post_get("userIp");
        $custom_3 = $input->post_get("country");
        $signature = md5($user_id . $transaction_id . $virtual_coins . $this->get("secret_key"));
        $user_id = str_replace("external_identifier=", "", $user_id);
        return ["offerName" => $offerName, "offerwallID" => $offerwallID, "fieldName" => $fieldName, "postback_return" => $postback_return, "signature" => $signature, "server_signature" => $server_signature, "user_id" => $user_id, "transaction_id" => $transaction_id, "status" => $status, "site_reward" => isset($site_reward) ? $site_reward : "", "virtual_coins" => isset($virtual_coins) ? $virtual_coins : "", "custom_1" => isset($custom_1) ? $custom_1 : "", "custom_2" => isset($custom_2) ? $custom_2 : "", "custom_3" => isset($custom_3) ? $custom_3 : "", "custom_4" => isset($custom_4) ? $custom_4 : "", "custom_5" => isset($custom_5) ? $custom_5 : ""];
    }
}

?>