<?php
/*
 * @ LamiAds Postback
 * @ PHP 7.4
 * @ Developer by Jendy Pham
 * @ Release: 11/14/2022
 */

if (!defined("EvolutionScript")) {
    exit("Hacking attempt...");
}
?>
<div class="card">
	<div class="card-header border-bottom">
		<ul class="nav nav-pills card-header-pills" id="myTab" role="tablist">
			<li class="nav-item" role="presentation">
				<a class="nav-link active" id="logs-tab" data-toggle="tab" href="#logs-content" role="tab" aria-selected="true">Postback logs</a>
			</li>
			<li class="nav-item" role="presentation">
				<a class="nav-link" id="settings-tab" data-toggle="tab" href="#settings-content" role="tab" aria-selected="false">Configuration</a>
			</li>
			<li class="nav-item" role="presentation">
				<a class="nav-link" id="memberships-tab" data-toggle="tab" href="#memberships-content" role="tab" aria-selected="false">Memberships</a>
			</li>
		</ul>
	</div>
	<div class="card-body">
		<div class="tab-content" id="myTabContent">
			<div class="tab-pane fade show active" id="logs-content" role="tabpanel" aria-labelledby="logs-tab">
				<?php echo form_open("", ["method" => "get"], ["view" => "offerwall", "module" => "lamiads", "do" => "search"]); ?>
					<h5>Search</h5>
					<div class="row">
						<div class="col-lg-6">
							<div class="form-group">
								<label>Trans ID</label>
								<input type="text" name="trackid" value="<?php echo html_escape($input->get("trackid"));?>" class="form-control">
							</div>
						</div>
						<div class="col-lg-6">
							<div class="form-group">
								<label>Username</label>
								<input type="text" name="username" value="<?php echo html_escape($input->get("username")); ?>" class="form-control">
							</div>
						</div>
					</div>
					<div class="form-group">
						<button class="btn btn-primary">Search</button>
					</div>
				<?php echo form_close(); ?>
				<div class="table-responsive">
					<table class="table table-striped table-hover">
						<thead>
							<tr>
								<th>Date</th>
								<th>Transaction ID</th>
								<th>User</th>
								<th>User Reward</th>
								<th>Virtual Coins</th>
								<th>Site Reward</th>
							</tr>
						</thead>
						<tbody>
							<?php $pagination = $offerwalls->adminLogs($offerwall["id"]);
							if ($pagination->total_rows() == 0) { ?>
								<tr><td colspan="7">Results not found.</td></tr>
								<?php 
							} else {
								foreach ($pagination->result() as $item) { ?>
									<tr>
										<td><?php echo date("M dS, Y H:i", $item->date); ?></td>
										<td><?php echo $item->trackid; ?></td>
										<td><a href="<?php route_to("admin_membersEdit", ["id" => $item->user_id]); ?>"><?php echo $item->username;?></a><br><small><?php echo $item->custom_2 . " - " . $item->custom_3;?></small></td>
										<td><?php echo $item->user_reward;?></td>
										<td><?php echo $item->virtual_coins;?></td>
										<td><?php echo $item->site_reward;?></td>
									</tr>
									<?php 
								}
							} ?>
						</tbody>
					</table>
				</div>
				<?php echo $pagination->create_links(); ?>
			</div>
			<div class="tab-pane fade" id="settings-content" role="tabpanel" aria-labelledby="settings-tab">
				<?php echo form_open("", ["id" => "cpxSettingsForm", "class" => "ajaxForm"], ["do" => "update_settings"]); ?>
				<?php echo csrf_form(); ?>
					<div class="form-group">
						<label>Status</label>
						<select name="active" class="custom-select">
							<option value="yes" <?php echo $offerClass->get("active") == "yes" ? "selected" : "";?>>Enable</option>
							<option value="no" <?php echo $offerClass->get("active") == "no" ? "selected" : "";?>>Disable</option>
						</select>
					</div>
					<div class="form-group">
						<label>API Key</label>
						<input type="text" name="api_key" value="<?php echo $offerClass->get("api_key");?>" class="form-control">
					</div>
					<div class="form-group">
						<label>Secret Key</label>
						<input type="text" name="secret_key" value="<?php echo $offerClass->get("secret_key");?>" class="form-control">
					</div>
					<div class="form-group">
						<label>Credit type</label>
						<select name="credit_type" class="custom-select">
							<option value="money" <?php echo $offerClass->get("credit_type") == "money" ? "selected" : "";?>>Cash</option>
							<option value="points" <?php echo $offerClass->get("credit_type") == "points" ? "selected" : "";?>>Points</option>
						</select>
						<small class="form-text text-muted">If you select Cash, earnings will be accredited to main balance. If you select Points, it will be accredited to points.</small>
					</div>
					<div class="form-group">
						<label>Virtual Coin</label>
						<input type="text" name="currency" value="<?php echo $offerClass->get("currency");?>" class="form-control">
						<small class="form-text text-muted">Enter the same currency name configured in your LamiAds account.</small>
					</div>
					<div class="form-group">
						<label>Postback URL</label>
						<input type="text" value="<?php echo site_url(route_to("offerwall_postback", ["id" => "lamiads"]));?>" class="form-control" readonly>
						<small class="form-text text-muted">You have to copy this url in your LamiAds account</small>
					</div>
					<div class="form-group">
						<button class="btn btn-primary">Save</button>
					</div>
				<?php echo form_close(); ?>
			</div>
			<div class="tab-pane fade" id="memberships-content" role="tabpanel" aria-labelledby="memberships-tab">
				<div class="alert alert-info">
					Virtual Coin Ratio: if task reward is 10 Virtual Coins and ratio is 0.5, then user will be credited with 5 dollars or points (according to the  Credit Type).
				</div>
				<div class="row">
					 <?php 
					$ratioField = $offerwall["field"] . "_ratio";
					$pointField = $offerwall["field"] . "_points";
					$refField = $offerwall["field"] . "_ref";
					$memberships = new Evolution\Models\Membership();
					foreach ($memberships->getList() as $item) { ?>
						<div class="col-lg-6">
							<h5><?php echo $item->name;?></h5>
							<?php echo form_open("", ["id" => "membershipForm" . $item->id, "class" => "ajaxForm"], ["do" => "update_membership", "membership_id" => $item->id]); ?>
							<?php echo csrf_form(); ?>
								<div class="form-group">
									<label>Virtual Coin Ratio</label>
									<input type="number" step="any" name="<?php echo $ratioField;?>" class="form-control" value="<?php echo $item->{$ratioField};?>">
								</div>
								<div class="form-group">
									<label>Points reward for completing a task</label>
									<input type="number" step="any" name="<?php echo $pointField;?>" class="form-control" value="<?php echo $item->{$pointField};?>">
								</div>
								<div class="form-group">
									<label>Referral commission</label>
									<div class="input-group">
										<input type="number" step="any" name="<?php echo $refField;?>" class="form-control" value="<?php echo $item->{$refField};?>">
										<div class="input-group-append">
											<span class="input-group-text">%</span>
										</div>
									</div>
								</div>
								<div class="form-group">
									<button class="btn btn-primary">Save</button>
								</div>
							<?php echo form_close(); ?>
						</div>
						<?php 
					} ?>
				</div>
			</div>
		</div>
	</div>
</div>